Data Fields
PurpleProxyInfo Struct Reference

Information on proxy settings. More...

`#include <proxy.h>`

## Data Fields
PurpleProxyType | type
| The proxy type. More...
char * | host
| The host. More...
int | port
| The port number. More...
char * | username
| The username. More...
char * | password
| The password. More...

## Detailed Description

Information on proxy settings.

Definition at line 50 of file proxy.h.

## Field Documentation

## ◆ host

char* PurpleProxyInfo::host

The host.

Definition at line 54 of file proxy.h.

## ◆ password

char* PurpleProxyInfo::password

The password.

Definition at line 57 of file proxy.h.

## ◆ port

int PurpleProxyInfo::port

The port number.

Definition at line 55 of file proxy.h.

## ◆ type

PurpleProxyType PurpleProxyInfo::type

The proxy type.

Definition at line 52 of file proxy.h.

## ◆ username

char* PurpleProxyInfo::username

The username.

Definition at line 56 of file proxy.h.

The documentation for this struct was generated from the following file:

- proxy.h